from os.path import dirname, realpath, join

from setuptools import setup, find_packages

here = dirname(realpath(__file__))

with open(join(here, 'VERSION'), 'r') as ifile:
    version = ifile.read().strip('\n')
with open(join(here, 'requirements.txt'), 'r') as ifile:
    requirements = ifile.read().splitlines()

setup(
    name = 'tfw',
    version = version,
    description = 'Avatao tutorial-framework',
    url = 'https://github.com/avatao-content/baseimage-tutorial-framework',
    author = 'Avatao.com Innovative Learning Kft.',
    author_email = 'support@avatao.com',
    license = 'custom',
    packages = find_packages('lib'),
    package_dir = {'': 'lib'},
    install_requires = requirements,
    extras_require = {
        'docs': [
            'sphinx >= 1.7.0',
        ],
    },
    zip_safe = False,
)
